diff --git a/src/main/java/net/minecraft/core/block/BlockDoor.java b/src/main/java/net/minecraft/core/block/BlockDoor.java
index 918af89f1..237b81e50 100644
--- a/src/main/java/net/minecraft/core/block/BlockDoor.java
+++ b/src/main/java/net/minecraft/core/block/BlockDoor.java
@@ -9,10 +9,10 @@ import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.Vec3d;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, IBlockAccess, World, 
@@ -52,21 +52,21 @@ public class BlockDoor extends Block
     }
 
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         setDoorRotation(getState(world.getBlockMetadata(x, y, z)), true);
         return super.getSelectedBoundingBoxFromPool(world, x, y, z);
     }
 
     @Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         setBlockBoundsBasedOnState(world, x, y, z);
         return super.getCollisionBoundingBoxFromPool(world, x, y, z);
     }
 
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
         setDoorRotation(getState(world.getBlockMetadata(x, y, z)), false);
     }
diff --git a/src/main/java/net/minecraft/core/block/BlockFarmland.java b/src/main/java/net/minecraft/core/block/BlockFarmland.java
index 54e949042..a65545e48 100644
--- a/src/main/java/net/minecraft/core/block/BlockFarmland.java
+++ b/src/main/java/net/minecraft/core/block/BlockFarmland.java
@@ -10,6 +10,7 @@ import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
@@ -24,7 +25,7 @@ public class BlockFarmland extends Block
 	}
 
 	@Override
-	public AABB getCollisionBoundingBoxFromPool(final World world, final int x, final int y, final int z)
+	public AABB getCollisionBoundingBoxFromPool(final WorldSource world, final int x, final int y, final int z)
 	{
 		return AABB.getBoundingBoxFromPool(x + 0, y + 0, z + 0, x + 1, y + 1, z + 1);
 	}
diff --git a/src/main/java/net/minecraft/core/block/BlockFence.java b/src/main/java/net/minecraft/core/block/BlockFence.java
index a89985458..f8290710b 100644
--- a/src/main/java/net/minecraft/core/block/BlockFence.java
+++ b/src/main/java/net/minecraft/core/block/BlockFence.java
@@ -8,7 +8,6 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.world.WorldSource;
-import net.minecraft.core.world.World;
 
 
 public class BlockFence extends Block
@@ -69,7 +68,7 @@ public class BlockFence extends Block
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
     	boolean connectXPos = canConnectTo(world, x + 1, y, z);
     	boolean connectXNeg = canConnectTo(world, x - 1, y, z);
@@ -79,7 +78,7 @@ public class BlockFence extends Block
     }
     
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
     	return getCollisionBoundingBoxFromPool(world, x, y, z).expand(0, -0.25f, 0).offset(0, -0.25f, 0);
     }
@@ -103,7 +102,7 @@ public class BlockFence extends Block
 //    }
 
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
     	AABB aabb = getCollisionBoundingBoxFromPool(world, x, y, z);
     	minX = aabb.minX - x;
diff --git a/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java b/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java
index 9bfaf6d45..d07523b27 100644
--- a/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java
+++ b/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java
@@ -27,7 +27,7 @@ public class BlockFenceChainlink extends BlockFenceThin
     }
 
     @Override
-    public boolean shouldDrawColumn(World world, int x, int y, int z)
+    public boolean shouldDrawColumn(WorldSource world, int x, int y, int z)
     {
         boolean drawColumn = shouldDrawColumn_do(world, x, y, z);
         if (drawColumn) return true;
@@ -53,7 +53,7 @@ public class BlockFenceChainlink extends BlockFenceThin
         return drawColumnFromOther;
     }
 
-    private boolean shouldDrawColumn_do(World world, int x, int y, int z)
+    private boolean shouldDrawColumn_do(WorldSource world, int x, int y, int z)
     {
         boolean connectNorth = canConnectTo(world, x + Direction.NORTH.getOffsetX(), y + Direction.NORTH.getOffsetY(), z + Direction.NORTH.getOffsetZ());
         boolean connectSouth = canConnectTo(world, x + Direction.SOUTH.getOffsetX(), y + Direction.SOUTH.getOffsetY(), z + Direction.SOUTH.getOffsetZ());
diff --git a/src/main/java/net/minecraft/core/block/BlockFenceGate.java b/src/main/java/net/minecraft/core/block/BlockFenceGate.java
index b3b301528..2617bb3f7 100644
--- a/src/main/java/net/minecraft/core/block/BlockFenceGate.java
+++ b/src/main/java/net/minecraft/core/block/BlockFenceGate.java
@@ -8,6 +8,7 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 // updated
 // Referenced classes of package net.minecraft.src:
@@ -23,7 +24,7 @@ public class BlockFenceGate extends Block
     }
 
     @Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         int l = world.getBlockMetadata(x, y, z);
         if(func_35291_d(l))
@@ -49,13 +50,13 @@ public class BlockFenceGate extends Block
     }
     
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
     	return getAABBFromMeta(world.getBlockMetadata(x, y, z)).offset(x, y, z);
     }
     
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
     	AABB aabb = getAABBFromMeta(world.getBlockMetadata(x, y, z));
     	minX = aabb.minX;
diff --git a/src/main/java/net/minecraft/core/block/BlockFencePaperWall.java b/src/main/java/net/minecraft/core/block/BlockFencePaperWall.java
index 32bcf4d9b..cbed1d345 100644
--- a/src/main/java/net/minecraft/core/block/BlockFencePaperWall.java
+++ b/src/main/java/net/minecraft/core/block/BlockFencePaperWall.java
@@ -3,7 +3,6 @@ package net.minecraft.core.block;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
 public class BlockFencePaperWall extends BlockFenceThin
@@ -21,7 +20,7 @@ public class BlockFencePaperWall extends BlockFenceThin
     }
 
     @Override
-    public boolean shouldDrawColumn(World world, int x, int y, int z)
+    public boolean shouldDrawColumn(WorldSource world, int x, int y, int z)
     {
         boolean drawColumn = shouldDrawColumn_do(world, x, y, z);
         if (drawColumn) return true;
@@ -47,7 +46,7 @@ public class BlockFencePaperWall extends BlockFenceThin
         return drawColumnFromOther;
     }
 
-    private boolean shouldDrawColumn_do(World world, int x, int y, int z)
+    private boolean shouldDrawColumn_do(WorldSource world, int x, int y, int z)
     {
         boolean connectNorth = canConnectTo(world, x + Direction.NORTH.getOffsetX(), y + Direction.NORTH.getOffsetY(), z + Direction.NORTH.getOffsetZ());
         boolean connectSouth = canConnectTo(world, x + Direction.SOUTH.getOffsetX(), y + Direction.SOUTH.getOffsetY(), z + Direction.SOUTH.getOffsetZ());
diff --git a/src/main/java/net/minecraft/core/block/BlockFenceThin.java b/src/main/java/net/minecraft/core/block/BlockFenceThin.java
index ff00d2460..ae287f6b4 100644
--- a/src/main/java/net/minecraft/core/block/BlockFenceThin.java
+++ b/src/main/java/net/minecraft/core/block/BlockFenceThin.java
@@ -2,7 +2,6 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
-import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
 public abstract class BlockFenceThin extends Block
@@ -19,7 +18,7 @@ public abstract class BlockFenceThin extends Block
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         boolean connectXPos = canConnectTo(world, x + 1, y, z);
         boolean connectXNeg = canConnectTo(world, x - 1, y, z);
@@ -29,13 +28,13 @@ public abstract class BlockFenceThin extends Block
     }
 
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         return getCollisionBoundingBoxFromPool(world, x, y, z);
     }
 
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
         AABB aabb = getCollisionBoundingBoxFromPool(world, x, y, z);
         minX = aabb.minX - x;
@@ -60,5 +59,5 @@ public abstract class BlockFenceThin extends Block
 
     public abstract boolean canConnectTo(WorldSource iblockaccess, int x, int y, int z);
 
-    public abstract boolean shouldDrawColumn(World world, int x, int y, int z);
+    public abstract boolean shouldDrawColumn(WorldSource iblockaccess, int x, int y, int z);
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockFire.java b/src/main/java/net/minecraft/core/block/BlockFire.java
index 6a6fc15a6..ce2714704 100644
--- a/src/main/java/net/minecraft/core/block/BlockFire.java
+++ b/src/main/java/net/minecraft/core/block/BlockFire.java
@@ -68,7 +68,7 @@ public class BlockFire extends Block {
 	}
 
 	@Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z) {
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z) {
 		return null;
 	}
 
diff --git a/src/main/java/net/minecraft/core/block/BlockFlag.java b/src/main/java/net/minecraft/core/block/BlockFlag.java
index 095208073..bc752bd81 100644
--- a/src/main/java/net/minecraft/core/block/BlockFlag.java
+++ b/src/main/java/net/minecraft/core/block/BlockFlag.java
@@ -10,6 +10,7 @@ import net.minecraft.core.item.ItemStack;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 public class BlockFlag extends BlockTileEntity{
 
@@ -21,7 +22,7 @@ public class BlockFlag extends BlockTileEntity{
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z) {
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z) {
         return null;
     }
 
diff --git a/src/main/java/net/minecraft/core/block/BlockFlower.java b/src/main/java/net/minecraft/core/block/BlockFlower.java
index 7a61708ff..d371b0fbf 100644
--- a/src/main/java/net/minecraft/core/block/BlockFlower.java
+++ b/src/main/java/net/minecraft/core/block/BlockFlower.java
@@ -5,6 +5,7 @@ import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
@@ -55,7 +56,7 @@ public class BlockFlower extends Block
     {
         func_268_h(world, x, y, z);
         
-        if (world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().killFlowers && killedByWeather && rand.nextInt(256) == 0)
+        if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().killFlowers && killedByWeather && rand.nextInt(256) == 0)
         {
         	world.setBlockWithNotify(x, y, z, 0);
         }
@@ -77,7 +78,7 @@ public class BlockFlower extends Block
     }
 
     @Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         return null;
     }
diff --git a/src/main/java/net/minecraft/core/block/BlockFluid.java b/src/main/java/net/minecraft/core/block/BlockFluid.java
index fe6c0a9e2..9930d4175 100644
--- a/src/main/java/net/minecraft/core/block/BlockFluid.java
+++ b/src/main/java/net/minecraft/core/block/BlockFluid.java
@@ -101,7 +101,7 @@ public abstract class BlockFluid extends Block
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         return null;
     }
diff --git a/src/main/java/net/minecraft/core/block/BlockGrass.java b/src/main/java/net/minecraft/core/block/BlockGrass.java
index 408a178dd..2df3323fe 100644
--- a/src/main/java/net/minecraft/core/block/BlockGrass.java
+++ b/src/main/java/net/minecraft/core/block/BlockGrass.java
@@ -52,7 +52,7 @@ public class BlockGrass extends Block
             {
                 world.setBlockWithNotify(l, i1, j1, this.id);
             }
-            if (world.getGameRule(GameRules.DO_SEASONAL_GROWTH) && world.getBlockId(x, y + 1, z) == 0 && world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().growFlowers && rand.nextInt(256) == 0)
+            if (world.getGameRule(GameRules.DO_SEASONAL_GROWTH) && world.getBlockId(x, y + 1, z) == 0 && world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().growFlowers && rand.nextInt(256) == 0)
             {
                 int idToSpawn = 0;
                 int r = rand.nextInt(400);
diff --git a/src/main/java/net/minecraft/core/block/BlockJar.java b/src/main/java/net/minecraft/core/block/BlockJar.java
index c14ff8f31..2d6271f73 100644
--- a/src/main/java/net/minecraft/core/block/BlockJar.java
+++ b/src/main/java/net/minecraft/core/block/BlockJar.java
@@ -11,6 +11,7 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.block.ItemBlock;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 public class BlockJar extends BlockTileEntity{
 
@@ -33,18 +34,18 @@ public class BlockJar extends BlockTileEntity{
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         float offset = 0.0F;
         return AABB.getBoundingBoxFromPool(x + 0.3125f, y + offset, z + 0.3125f, x + 1 - 0.3125f, (float) y + 0.375f + offset, z + 1 - 0.3125f);
     }
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         return getCollisionBoundingBoxFromPool(world, x, y, z);
     }
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
         AABB aabb = getCollisionBoundingBoxFromPool(world, x, y, z);
         minX = aabb.minX - x;
diff --git a/src/main/java/net/minecraft/core/block/BlockLadder.java b/src/main/java/net/minecraft/core/block/BlockLadder.java
index 79d5b1f1f..5bc47b755 100644
--- a/src/main/java/net/minecraft/core/block/BlockLadder.java
+++ b/src/main/java/net/minecraft/core/block/BlockLadder.java
@@ -5,6 +5,7 @@ import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 public class BlockLadder extends Block {
 
@@ -28,18 +29,18 @@ public class BlockLadder extends Block {
 	}
 	
 	@Override
-	public void setBlockBoundsBasedOnState(World world, int x, int y, int z) {
+	public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z) {
 		setBlockBounds(world.getBlockMetadata(x, y, z));
 	}
 	
 	@Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z) {
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z) {
 		setBlockBounds(world.getBlockMetadata(x, y, z));
 		return super.getCollisionBoundingBoxFromPool(world, x, y, z);
 	}
 	
 	@Override
-	public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z) {
+	public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z) {
 		setBlockBounds(world.getBlockMetadata(x, y, z));
 		return super.getSelectedBoundingBoxFromPool(world, x, y, z);
 	}
diff --git a/src/main/java/net/minecraft/core/block/BlockLanternFirefly.java b/src/main/java/net/minecraft/core/block/BlockLanternFirefly.java
index 0a540323c..0f6aa5149 100644
--- a/src/main/java/net/minecraft/core/block/BlockLanternFirefly.java
+++ b/src/main/java/net/minecraft/core/block/BlockLanternFirefly.java
@@ -12,6 +12,7 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
@@ -27,7 +28,7 @@ public class BlockLanternFirefly extends Block{
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         int metadata = world.getBlockMetadata(x, y, z);
         float offset = 0.0F;
@@ -37,13 +38,13 @@ public class BlockLanternFirefly extends Block{
     }
 
     @Override
-    public AABB getSelectedBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         return getCollisionBoundingBoxFromPool(world, x, y, z);
     }
 
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
         AABB aabb = getCollisionBoundingBoxFromPool(world, x, y, z);
         minX = aabb.minX - x;
diff --git a/src/main/java/net/minecraft/core/block/BlockLayerBase.java b/src/main/java/net/minecraft/core/block/BlockLayerBase.java
index a48cd0814..ab45fb414 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerBase.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerBase.java
@@ -2,7 +2,7 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
-import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
 
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, World, AxisAlignedBB, 
@@ -25,7 +25,7 @@ public abstract class BlockLayerBase extends Block
     	return this;
     }
     @Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         int l = world.getBlockMetadata(x, y, z) & 7;
         float f = (float)(2 * (1 + l)) / 16F;
@@ -45,7 +45,7 @@ public abstract class BlockLayerBase extends Block
     }
 
     @Override
-    public void setBlockBoundsBasedOnState(World world, int x, int y, int z)
+    public void setBlockBoundsBasedOnState(WorldSource world, int x, int y, int z)
     {
         int l = world.getBlockMetadata(x, y, z) & 7;
         float f = (float)(2 * (1 + l)) / 16F;
diff --git a/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java b/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
index 39ee5b794..35d150a6f 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerLeaves.java
@@ -6,6 +6,7 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
+import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
@@ -25,7 +26,7 @@ public class BlockLayerLeaves extends BlockLayerBase
     }
 
     @Override
-	public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
     	return null;
     }
@@ -99,7 +100,7 @@ public class BlockLayerLeaves extends BlockLayerBase
     @Override
     public void updateTick(World world, int x, int y, int z, Random rand)
     {
-    	if (world.seasonManager.getCurrentSeason() != null && !world.seasonManager.getCurrentSeason().hasFallingLeaves)
+    	if (world.getSeasonManager().getCurrentSeason() != null && !world.getSeasonManager().getCurrentSeason().hasFallingLeaves)
     	{
     		int metadata = world.getBlockMetadata(x, y, z);
             if ((metadata & 0b10000000) == 0)
diff --git a/src/main/java/net/minecraft/core/block/BlockLayerSnow.java b/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
index 516d84a47..4dda1042c 100644
--- a/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
+++ b/src/main/java/net/minecraft/core/block/BlockLayerSnow.java
@@ -8,6 +8,7 @@ import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.World;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.util.phys.AABB;
+import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
@@ -27,7 +28,7 @@ public class BlockLayerSnow extends BlockLayerBase
     }
 
     @Override
-    public AABB getCollisionBoundingBoxFromPool(World world, int x, int y, int z)
+    public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         int l = world.getBlockMetadata(x, y, z) & 7;
         float f = (float)(2 * (1 + l)) / 16F;
@@ -111,7 +112,7 @@ public class BlockLayerSnow extends BlockLayerBase
             dropBlockWithCause(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), null);
 			world.setBlockWithNotify(x, y, z, 0);
 		}
-        if(world.getBlockBiome(x, y, z) != null && !world.getBlockBiome(x, y, z).hasSurfaceSnow() && world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().letWeatherCleanUpSnow)
+        if(world.getBlockBiome(x, y, z) != null && !world.getBlockBiome(x, y, z).hasSurfaceSnow() && world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().letWeatherCleanUpSnow)
         {
             dropBlockWithCause(world, EnumDropCause.WORLD, x, y, z, world.getBlockMetadata(x, y, z), null);
             world.setBlockWithNotify(x, y, z, 0);
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesBase.java b/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
index 0da3ba0f1..ab68601f5 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesBase.java
@@ -34,7 +34,7 @@ public abstract class BlockLeavesBase extends Block
     public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
     {
 
-        Season season = world.seasonManager.getCurrentSeason();
+        Season season = world.getSeasonManager().getCurrentSeason();
         float dropRate = season != null ? 20 / season.saplingDropFactor : 20;
         if (dropCause == EnumDropCause.PICK_BLOCK || dropCause == EnumDropCause.SILK_TOUCH) return new ItemStack[] { new ItemStack(this) };
 
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java b/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java
index a2c17faed..87693f8af 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java
@@ -79,7 +79,7 @@ public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
         int meta = world.getBlockMetadata(x, y, z);
         int growthRate = (meta & 0XF0) >> 4;
         if (rand.nextInt(BEAN_GROWTH_RATE) == 0) {
-            if (world.seasonManager.getCurrentSeason() == Seasons.OVERWORLD_SUMMER) {
+            if (world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_SUMMER) {
                 if (canBeansGrow(world, x, y, z)) {
                     if ((growthRate) < 4) {
                         world.setBlockMetadataWithNotify(x, y, z, (++growthRate) << 4 | meta);
@@ -106,7 +106,7 @@ public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
         {
             if(!world.isClientSide)
             {
-                if(world.seasonManager.getCurrentSeason() != Seasons.OVERWORLD_SUMMER)
+                if(world.getSeasonManager().getCurrentSeason() != Seasons.OVERWORLD_SUMMER)
                     return true;
                 world.setBlockMetadataWithNotify(blockX, blockY, blockZ, (4 << 4) | meta);
                 if (entityplayer.getGamemode().consumeBlocks())
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java b/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
index 8ba7bcde5..19546388a 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
@@ -23,7 +23,7 @@ public class BlockLeavesCherry extends BlockLeavesBase
     @Override
 	public void randomDisplayTick(World world, int x, int y, int z, Random rand)
     {
-        if (world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason() == Seasons.OVERWORLD_SPRING && rand.nextInt(40) == 0)
+        if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_SPRING && rand.nextInt(40) == 0)
         {
             world.spawnParticle("fallingleaf", x, (double) y - 0.1f, z, 0, 0, 0);
         }
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCherryFlowering.java b/src/main/java/net/minecraft/core/block/BlockLeavesCherryFlowering.java
index 3322cfb21..a5ff1be95 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCherryFlowering.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesCherryFlowering.java
@@ -64,7 +64,7 @@ public class BlockLeavesCherryFlowering extends BlockLeavesCherry implements IBo
         int meta = world.getBlockMetadata(x, y, z);
         int growthRate = (meta & 0XF0) >> 4;
 
-        if (world.seasonManager.getCurrentSeason() == Seasons.OVERWORLD_SPRING) {
+        if (world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_SPRING) {
             if (rand.nextInt(20) == 0) {
                 if ((growthRate) == 0) {
                     world.setBlockMetadataWithNotify(x, y, z, 1 << 4 | meta);
@@ -85,7 +85,7 @@ public class BlockLeavesCherryFlowering extends BlockLeavesCherry implements IBo
         {
             if(!world.isClientSide)
             {
-                if(world.seasonManager.getCurrentSeason() != Seasons.OVERWORLD_SPRING)
+                if(world.getSeasonManager().getCurrentSeason() != Seasons.OVERWORLD_SPRING)
                     return true;
                 world.setBlockMetadataWithNotify(blockX, blockY, blockZ, (1 << 4) | meta);
                 if (entityplayer.getGamemode().consumeBlocks())
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java b/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
index 7be2f82f8..c74cad9b3 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesEucalyptus.java
@@ -28,7 +28,7 @@ public class BlockLeavesEucalyptus extends BlockLeavesBase
     @Override
 	public void randomDisplayTick(World world, int x, int y, int z, Random rand)
     {
-    	if (world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().hasFallingLeaves && rand.nextInt(40) == 0)
+    	if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().hasFallingLeaves && rand.nextInt(40) == 0)
     	{
     		world.spawnParticle("fallingleaf", x, (double) y - 0.1f, z, 0, 0, 0);
     	}
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java b/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
index ad842c14d..f3f8bbd14 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
+++ b/src/main/java/net/minecraft/core/block/BlockLeavesOak.java
@@ -23,7 +23,7 @@ public class BlockLeavesOak extends BlockLeavesBase
 	public void updateTick(World world, int x, int y, int z, Random rand)
     {
         super.updateTick(world, x, y, z, rand);
-        if (rand.nextInt(128) == 0 && world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().hasFallingLeaves)
+        if (rand.nextInt(128) == 0 && world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().hasFallingLeaves)
         {
             for (int q = -1; q > -16; q--)
             {
@@ -52,7 +52,7 @@ public class BlockLeavesOak extends BlockLeavesBase
     @Override
     public void randomDisplayTick(World world, int x, int y, int z, Random rand)
     {
-    	if (world.seasonManager.getCurrentSeason() != null && world.seasonManager.getCurrentSeason().hasFallingLeaves)
+    	if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().hasFallingLeaves)
     	{
             WindManager wind = world.getWorldType().getWindManager();
             float windIntensity = wind.getWindIntensity(world, x, y, z);
